org.eclipse.cdt.utils.som

## Class SOM.FileHeader

- java.lang.Object
- - org.eclipse.cdt.utils.som.SOM.FileHeader

Enclosing class:
  SOM

    public static class SOM.FileHeader
    extends Object

SOM Header record

### Field Summary

Fields
`short` `a_magic`
`int` `aux_header_location`
`int` `aux_header_size`
`int` `checksum`
`int` `compiler_location`
`int` `compiler_total`
`static short` `DYN_LOAD_LIB`
`int` `entry_offset`
`int` `entry_space`
`int` `entry_subspace`
`static short` `EXE_SOM_LIB`
`long` `file_time_nano`
`long` `file_time_sec`
`static int` `FILHSZ`
`int` `fixup_request_location`
`int` `fixup_request_total`
`int` `init_array_location`
`int` `init_array_total`
`int` `loader_fixup_location`
`int` `loader_fixup_total`
`static short` `PA_RISC_10`
`static short` `PA_RISC_11`
`static short` `PA_RISC_20`
`int` `presumed_dp`
`static short` `PRIV_EXEC_SOM`
`static short` `REL_SOM`
`static short` `RELOC_SOM_LIB`
`static short` `SHARE_DEMAND_LOAD_EXE_SOM`
`static short` `SHARE_EXEC_SOM`
`static short` `SHARED_LIB`
`int` `som_length`
`int` `space_location`
`int` `space_strings_location`
`int` `space_strings_size`
`int` `space_total`
`int` `subspace_location`
`int` `subspace_total`
`int` `symbol_location`
`int` `symbol_strings_location`
`int` `symbol_strings_size`
`int` `symbol_total`
`short` `system_id`
`int` `unloadable_sp_location`
`int` `unloadable_sp_size`
`int` `version_id`

### Constructor Summary

Constructors
Constructor and Description
`FileHeader(byte[] hdr, boolean little)`
`FileHeader(RandomAccessFile file)`
`FileHeader(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `commonSetup(byte[] hdr, boolean little)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FILHSZ

    public static final int FILHSZ

See Also:
  Constant Field Values

#### PA_RISC_10

    public static final short PA_RISC_10

See Also:
  Constant Field Values

#### PA_RISC_11

    public static final short PA_RISC_11

See Also:
  Constant Field Values

#### PA_RISC_20

    public static final short PA_RISC_20

See Also:
  Constant Field Values

#### EXE_SOM_LIB

    public static final short EXE_SOM_LIB

See Also:
  Constant Field Values

#### REL_SOM

    public static final short REL_SOM

See Also:
  Constant Field Values

#### PRIV_EXEC_SOM

    public static final short PRIV_EXEC_SOM

See Also:
  Constant Field Values

#### SHARE_EXEC_SOM

    public static final short SHARE_EXEC_SOM

See Also:
  Constant Field Values

#### SHARE_DEMAND_LOAD_EXE_SOM

    public static final short SHARE_DEMAND_LOAD_EXE_SOM

See Also:
  Constant Field Values

#### DYN_LOAD_LIB

    public static final short DYN_LOAD_LIB

See Also:
  Constant Field Values

#### SHARED_LIB

    public static final short SHARED_LIB

See Also:
  Constant Field Values

#### RELOC_SOM_LIB

    public static final short RELOC_SOM_LIB

See Also:
  Constant Field Values

#### system_id

    public short system_id

#### a_magic

    public short a_magic

#### version_id

    public int version_id

#### file_time_sec

    public long file_time_sec

#### file_time_nano

    public long file_time_nano

#### entry_space

    public int entry_space

#### entry_subspace

    public int entry_subspace

#### entry_offset

    public int entry_offset

#### aux_header_location

    public int aux_header_location

#### aux_header_size

    public int aux_header_size

#### som_length

    public int som_length

#### presumed_dp

    public int presumed_dp

#### space_location

    public int space_location

#### space_total

    public int space_total

#### subspace_location

    public int subspace_location

#### subspace_total

    public int subspace_total

#### loader_fixup_location

    public int loader_fixup_location

#### loader_fixup_total

    public int loader_fixup_total

#### space_strings_location

    public int space_strings_location

#### space_strings_size

    public int space_strings_size

#### init_array_location

    public int init_array_location

#### init_array_total

    public int init_array_total

#### compiler_location

    public int compiler_location

#### compiler_total

    public int compiler_total

#### symbol_location

    public int symbol_location

#### symbol_total

    public int symbol_total

#### fixup_request_location

    public int fixup_request_location

#### fixup_request_total

    public int fixup_request_total

#### symbol_strings_location

    public int symbol_strings_location

#### symbol_strings_size

    public int symbol_strings_size

#### unloadable_sp_location

    public int unloadable_sp_location

#### unloadable_sp_size

    public int unloadable_sp_size

#### checksum

    public int checksum

### Constructor Detail

#### FileHeader

    public FileHeader(RandomAccessFile file)
               throws IOException

Throws:
  `IOException`

#### FileHeader

    public FileHeader(RandomAccessFile file,
                      long offset)
               throws IOException

Throws:
  `IOException`

#### FileHeader

    public FileHeader(byte[] hdr,
                      boolean little)
               throws IOException

Throws:
  `IOException`

### Method Detail

#### commonSetup

    public void commonSetup(byte[] hdr,
                            boolean little)
                     throws IOException

Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`